## org.eclipse.xsd.util
Class DefaultErrorHandler

    java.lang.Object
      org.eclipse.xsd.util.DefaultErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

    public class DefaultErrorHandler

extends java.lang.Object
implements org.xml.sax.ErrorHandler

This helper class provides a default implementation for SAX ErrorHandler.

Field Summary
`protected java.util.List<XSDDiagnostic>` `xsdDiagnostics`
`protected XSDFactory` `xsdFactory`

Constructor Summary
`DefaultErrorHandler()`

Method Summary
`void` `error(org.xml.sax.SAXParseException exception)`
`void` `fatalError(org.xml.sax.SAXParseException exception)`
`java.util.Collection<XSDDiagnostic>` `getDiagnostics()`
`void` `warning(org.xml.sax.SAXParseException exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xsdDiagnostics

    protected java.util.List<XSDDiagnostic> xsdDiagnostics

### xsdFactory

    protected XSDFactory xsdFactory

Constructor Detail

### DefaultErrorHandler

    public DefaultErrorHandler()

Method Detail

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`

### error

    public void error(org.xml.sax.SAXParseException exception)

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### warning

    public void warning(org.xml.sax.SAXParseException exception)

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

### getDiagnostics

    public java.util.Collection<XSDDiagnostic> getDiagnostics()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.